import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

class ServerErrorScreen extends StatelessWidget{

  const ServerErrorScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      //backgroundColor: ,
        body: Center(
          child: Column(
            spacing: 20,
            children: [
              Spacer(flex: 2),
              Text("Estamos mejorando el servicio",
                style: TextStyle(fontWeight: FontWeight.bold, fontSize: 25)
              ),
              SvgPicture.asset("assets/images/ui/server_error.svg"),
              Text("El sistema está en mantenimiento. \nInténtalo de nuevo en unos minutos"),
              Spacer(flex: 1),
              FilledButton(onPressed: ()=>{}, child: Text("Notificarme")),
              TextButton(onPressed: ()=>{}, child: Text("Reintentar")),
              Spacer(flex: 2)
            ]
          ),
        )
    );
  }
}